GPIOOW(4)

NAME
gpioow - 1-Wire bus bit-banging through GPIO pin

SYNOPSIS
gpioow* at gpio? offset 0 mask 0x1
gpioow* at gpio?
onewire* at gpioow?

DESCRIPTION
The gpioow driver allows bit-banging a 1-Wire bus as a master using one GPIO pin. The pin is used as a data signal. The GPIO pin must be able to drive an output and read an input.

The pin number can be specified in the kernel configuration with the offset locator. The mask locator should always be 0x1 in this case. The offset and mask can also be specified when gpioow is attached at runtime using the GPIOATTACH ioctl(2) on the gpio(4) device.

SEE ALSO
gpio(4), intro(4), onewire(4)

HISTORY
The gpioow driver first appeared in OpenBSD 4.0.

AUTHORS
-nosplit The gpioow driver was written by Alexander Yurchenko <grange@openbsd.org>.